MONGOC_COLLECTION_DROP_INDEX(3)

NAME
mongoc_collection_drop_index() - This function requests than an index on collection be dropped. In the event of an error it returns false and error is set.

SYNOPSIS

bool
mongoc_collection_drop_index (mongoc_collection_t *collection,
                              const char          *index_name,
                              bson_error_t        *error);

PARAMETERS

collection
    A mongoc_collection_t \&.

index_name
    A string containing the name of the index.

error
    An optional location for a bson_error_t or NULL \&.

DESCRIPTION

This function requests than an index on collection be dropped. In the event of an error it returns false and error is set.

ERRORS

Errors are propagated via the error parameter.

RETURNS

true if successful, otherwise false and error is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.